package owg.lgm.ar1;

import owg.lgm.*;
import owg.lgm.ar1.accessories.AR1Dialog;
import owg.lgm.ar1.accessories.AR1Fonts;
import owg.lgm.in.KeyEventType;
import owg.lgm.in.KeyListener;
import owg.lgm.in.VK;

import static owg.lgm.ar1.accessories.AR1Globals.global;
import static owg.lgm.GMLib.*;

public class Credittard extends Entity implements KeyListener
{
    public Credittard(double x, double y)
    {
        super(x, y, 0, false, true, false, null, null);
    }
    protected Credittard(double x, double y, int depth, boolean persistent, boolean visible, boolean solid, String sprite, String mask)
    {
        super(x, y, depth, persistent, visible, solid, sprite, mask);
    }
    
    int ay;
    int ful;
    int wait;
    
    @Override
    public void createEvent()
    {
        vspeed=-0.25;
        ay = 0;
        ful = -48367;
    }
    @Override
    public void step()
    {
        if (y<ful)
        {
            global.uxyz = -1;
        	vspeed = 0;
            wait++;
            if(wait >= 30)
            {
                transition_kind(0);
                room_goto("town");
            }
        }
    }
    @Override
    public void render()
    {
        ay = 0;
        draw_set_color(c_white);
        draw_set_font(AR1Fonts.A_26);
        draw_text(x+0, y+-ay, "Oddwarg.animal.rpg:");
        ay += -48;
        draw_set_font(AR1Fonts.A_12);
        draw_text(x+0, y+ay, "(Press enter to return.)");
        draw_text(x+0, y+-ay, "Programmer: Oddwarg");
        ay += -24;
        draw_text(x+0, y+-ay, "Sprites: By Oddwarg, 2 ballsprites taken from Sonic the hedgehog 3,");
        ay += -24;
        draw_text(x+0, y+-ay, "Wall sprites from Descent1");
        ay += -24;
        draw_text(x+0, y+-ay, "Sounds: From Descent1, Game Maker site,");
        ay += -24;
        draw_text(x+0, y+-ay, "Diablohead, Blaze Hedgehog, Oddwarg,");
        ay += -24;
        draw_text(x+0, y+-ay, "Sonic sound team and rpg-maker2000 RTP.");
        ay += -24;
        draw_text(x+0, y+-ay, "Music: From Descent, Crack down, Rpgmaker2000,");
        ay += -24;
        draw_text(x+0, y+-ay, "Descent2, By Oddwarg, By Ivar Andreas,");
        ay += -24;
        draw_text(x+0, y+-ay, "Koryan, Lars From Mars helge,");
        ay += -24;
        draw_text(x+0, y+-ay, "oedipus@islandia.is, Game maker site.");
        ay += -24;
        draw_text(x+0, y+-ay, "Backgrounds: Oddwarg, Descent1.");
        ay += -24;
        draw_text(x+0, y+-ay, "Strory, Levels, Ideas: ");
        ay += -24;
        draw_text(x+0, y+-ay, "By Oddwarg. (I mostly work alone...)");
        ay += -24;
        draw_text(x+0, y+-ay, "Some inspiration from Chrizzyx and");
        ay += -24;
        draw_text(x+0, y+-ay, "Tombi, a great game!");
        ay += -24;
        draw_text(x+0, y+-ay, "Made with Game Maker4.3. ");
        ay += -24;
        draw_text(x+0, y+-ay, "(I dont like newer versions...)");
        ay += -24;
        draw_text(x+0, y+-ay, "Game maker made by Mark Overmars.");
        ay += -24;
        draw_text(x+0, y+-ay, "(www.gamemaker.nl)");
        ay += -24;
        draw_text(x+0, y+-ay, "My music made with Anvil studio.");
        ay += -24;
        draw_text(x+0, y+-ay, "(www.anvilstudio.com)");
        ay += -24;
        draw_text(x+0, y+-ay, "My email: Mogfen@yahoo.com");
        ay += -24;
        draw_text(x+0, y+-ay, "...");
        ful = ay;
    }
    @Override
    public void keyEvent(KeyEventType type, VK key)
    {
        switch (type)
        {
            case PRESS:
            switch (key)
            {
                case ENTER:
                global.uxyz = -1;
                new AR1Dialog()
				{
					
					@Override
					public void dialog() throws ConverseException
					{
		                sleep(1000);
	                    transition_kind(0);
	                    room_goto("town");
					}
				}.start();
                break;
                default:
                super.keyEvent(type, key);
                break;
            }
            break;
            default:
            super.keyEvent(type, key);
            break;
        }
    }
}
