package owg.lgm.ar1;

import owg.lgm.*;
import owg.lgm.ar1.accessories.AR1Dialog;
import static owg.lgm.ar1.accessories.AR1Globals.global;
import static owg.lgm.GMLib.*;

public class Object529 extends Entity
{
    public Object529(double x, double y)
    {
        super(x, y, 0, false, true, false, "evilcrushf", null);
    }
    protected Object529(double x, double y, int depth, boolean persistent, boolean visible, boolean solid, String sprite, String mask)
    {
        super(x, y, depth, persistent, visible, solid, sprite, mask);
    }
    @Override
    public void step()
    {
        if (!place_free(x+0,y+vspeed+1))
        vspeed=0;
        else
        vspeed+=0.2;
        if (!place_free(x+0,y+-1))
        vspeed=-3.5;
    }
    @Override
    public void outsideRoom()
    {
        global.guyran = 1;
        destroy();
    }
    @Override
    public void alarmTriggered(int alarmIndex)
    {
        switch (alarmIndex)
        {
            case 0:
            {
                sprite = Sprite.get("evilwalk");
                image_xscale=1;
                image_yscale=1;
            }
            hspeed=-7;
            Animal animal = instance(Animal.class);
            if(animal != null)
            {
                animal.still = 0;
            }
            alarm[1] = (short)(90);
            global.guyran = 1;
            break;
            case 1:
            	new AR1Dialog()
				{
					@Override
					public void dialog() throws ConverseException
					{
			            show_message("You have not seen the last of me yet!");
					}
				}.start();
            break;
            default:
            super.alarmTriggered(alarmIndex);
            break;
        }
    }
}
