package owg.lgm.ar1.enemy;

import owg.lgm.*;
import owg.lgm.ar1.Animal;
import owg.lgm.ar1.Tuudna;
import owg.lgm.ar1.fallers.Fall55;
import owg.lgm.ar1.stuff.boss.HEVE1;
import owg.lgm.ar1.stuff.evilballstuf.Enmy1basll;

import static owg.lgm.ar1.accessories.AR1Globals.global;
import static owg.lgm.GMLib.*;

public class Enemy1 extends HEVE1 implements Collider
{
	public Enemy1(double x, double y)
	{
		super(x, y, 0, false, true, false, "enemy1", null);
	}
	protected Enemy1(double x, double y, int depth, boolean persistent, boolean visible, boolean solid, String sprite, String mask)
	{
		super(x, y, depth, persistent, visible, solid, sprite, mask);
	}

	protected double dir1, dirsp;
	protected double sp, spsp;

	protected Enmy1basll moog, moog2;

	@Override
	public void createEvent()
	{
		if (global.abzolniu>0) {
			destroy();
			return;
		}
		inv = 0;
		he = 0;
		ve = 0;
		life = 7;
		dir1 = 270;
		dirsp = 2.5;
		sp = 64;
		spsp = 0;
		moog=instance_create(x,y,Enmy1basll.class);
		moog.m=this;
		moog.depth=1;
		moog2=instance_create(x,y,Enmy1basll.class);
		moog2.m=this;
		moog2.depth=-1;
		hspeed=2;
	}
	@Override
	public void step()
	{
		Animal animal = instance(Animal.class);
		if (animal != null && distance_to_object(animal)<512)
		{
			sp += spsp;
			dir1 += dirsp;
			he = lengthdir_x(sp, dir1);
			ve = lengthdir_y(sp, dir1);
		}
	}
	
	Sprite ballxx = Sprite.get("ballxx");
	
	@Override
	public void render()
	{
		Animal animal = instance(Animal.class);
		if (animal != null && distance_to_object(animal)<512)
		{
			double d = 1;
			for (int i = 0; i<4; i++)
			{
				d += -1/4.0;
				draw_sprite(ballxx,image_index,x+he*d,y+ve*d);
			}
			draw_sprite(sprite,image_index,x+0,y+0);
			d = 1;
			for (int i = 0; i<4; i++)
			{
				d += -1/4.0;
				draw_sprite(ballxx,image_index,x+34-he*d,y+ve*d);
			}
		}
	}
	@Override
	public void alarmTriggered(int alarmIndex)
	{
		switch (alarmIndex)
		{
		case 0:
		{
			if(moog != null) {
				moog.destroy();
				moog = null;
			}
			if(moog2 != null) {
				moog2.destroy();
				moog2 = null;
			}
		}
		destroy();
		if (floor(random(2-1))==0)
			instance_create(x+0,y+0,Fall55.class);
		break;
		default:
			super.alarmTriggered(alarmIndex);
			break;
		}
	}
	@Override
	public void handleCollisions()
	{
		for(Tuudna other : getCollisions(Tuudna.class))
		{
			collisionTuudna(other);
			if(isDisposed())
				return;
		}
		super.handleCollisions();
	}
	
	protected void collisionTuudna(Tuudna other)
	{
		hspeed=-hspeed;
	}
}
