package owg.lgm.ar1.enemy;

import owg.lgm.ar1.Animal;
import owg.lgm.ar1.explodd.Silentex;

import static owg.lgm.GMLib.*;

public class Poisarrw extends Shotblb1
{
    public Poisarrw(double x, double y)
    {
        super(x, y, 1, false, true, false, "poisarrow", null);
    }
    protected Poisarrw(double x, double y, int depth, boolean persistent, boolean visible, boolean solid, String sprite, String mask)
    {
        super(x, y, depth, persistent, visible, solid, sprite, mask);
    }
    @Override
    public void createEvent()
    {
        damage = 4;
        sound_play("arrow");
        Animal animal = instance(Animal.class);
        if (animal != null)
        move_towards_point(animal.x,animal.y,10);
        image_single(getDirection()/10);
    }
    @Override
    public void destroyEvent()
    {
        instance_create(x+0,y+0,Silentex.class);
    }
    @Override
    public void step()
    {
        if (!place_free(x+0,y+0))
        destroy();
    }
}
