package owg.lgm.ar1.stuff.animals;

import owg.lgm.*;
import owg.lgm.ar1.Tuudna;

import static owg.lgm.ar1.accessories.AR1Globals.global;

public class Barth3out extends Entity implements Collider
{
    public Barth3out(double x, double y)
    {
        super(x, y, 0, false, true, false, "civ2", null);
    }
    protected Barth3out(double x, double y, int depth, boolean persistent, boolean visible, boolean solid, String sprite, String mask)
    {
        super(x, y, depth, persistent, visible, solid, sprite, mask);
    }
    @Override
    public void createEvent()
    {
        image_speed = 0.5;
        if (!(global.abzolniu>0)) {
	        destroy();
			return;
		}
        hspeed=2;
        image_speed = 0.4;
        {
            sprite = Sprite.get("sprite307");
            image_xscale=1;
            image_yscale=1;
        }
    }
    @Override
    public void handleCollisions()
    {
        for(@SuppressWarnings("unused") Tuudna other : getCollisions(Tuudna.class))
        {
            hspeed=-hspeed;
            if (hspeed>0)
            {
                sprite = Sprite.get("sprite307");
                image_xscale=1;
                image_yscale=1;
            }
            else
            {
                sprite = Sprite.get("sprite308");
                image_xscale=1;
                image_yscale=1;
            }
            if(isDisposed())
            return;
        }
        super.handleCollisions();
    }
}
