package owg.lgm.ar1.stuff.animals;

import owg.lgm.*;
import owg.lgm.ar1.accessories.AR1Dialog;
import static owg.lgm.ar1.accessories.AR1Globals.global;

public class Object522 extends Entity
{
    public Object522(double x, double y)
    {
        super(x, y, 1, false, true, false, "sprite320", null);
    }
    protected Object522(double x, double y, int depth, boolean persistent, boolean visible, boolean solid, String sprite, String mask)
    {
        super(x, y, depth, persistent, visible, solid, sprite, mask);
    }
    @Override
    public void createEvent()
    {
        if (global.set>0)
        destroy();
        alarm[0] = 30;
    }
    @Override
    public void alarmTriggered(int alarmIndex)
    {
        switch (alarmIndex)
        {
            case 0:
            	new AR1Dialog()
				{
					@Override
					public void dialog() throws ConverseException, SleepException
					{
			            show_message("A great evil has entered the world.");
			            show_message("You are the one who must stop the evil.");
			            show_message("All the information I give you can be found on the Help screen, which opens if you press F1.");
			            show_message("Alternatively, press Enter for Pause and find the Help option there.");
			            show_message("You can walk with left and right arrows and jump with space bar.");
			            alarm[1] = (short)(90);
					}
				}.start();
            break;
            case 1:
            	new AR1Dialog()
				{
					@Override
					public void dialog() throws ConverseException, SleepException
					{
			            show_message("To interact with a door, object, or another animal, press up arrow.");
			            show_message("You can use potions by pressing U or selecting Use Potion in the Pause menu.");
			            show_message("Buy more potions at the Bar, and check their effects on the Help screen.");
			            alarm[2] = (short)(90);
					}
				}.start();
            break;
            case 2:
            	new AR1Dialog()
				{
					
					@Override
					public void dialog() throws ConverseException, SleepException
					{
			            show_message("Check your key items by pressing I, or select Key Items in the Pause menu.");
			            show_message("You can press M to view a map over places you have been. It is also available in the Pause menu.");
			            show_message("The game autosaves in towns and safe buildings. This is indicated in the lower right corner.");
			            show_message("Find the oracle in town if you need advice. Good luck.");
					}
				}.start();
            break;
            default:
            super.alarmTriggered(alarmIndex);
            break;
        }
    }
}
