package owg.lgm.ar1.stuff.boss;

import owg.lgm.*;
import owg.lgm.ar1.Ground;
import owg.lgm.ar1.Top;
import owg.lgm.ar1.explodd.Explodd1;

import static owg.lgm.GMLib.*;

public class Bigboom extends Entity implements Collider
{
	public Bigboom(double x, double y)
	{
		super(x, y, 0, false, false, false, "smsatan", null);
	}
	protected Bigboom(double x, double y, int depth, boolean persistent, boolean visible, boolean solid, String sprite, String mask)
	{
		super(x, y, depth, persistent, visible, solid, sprite, mask);
	}

	int a;

	@Override
	public void createEvent()
	{
		motion_set(random(360),5+random(15));
		friction=0.1;
		if (floor(random(2-1))==0)
			a = 1;
		else
			a = 0;
	}
	@Override
	public void step()
	{
		instance_create(x+0,y+0,Explodd1.class);
		if (a==1)
			setDirection(getDirection()-2+random(7));
		else
			setDirection(getDirection()+2-random(7));
		if (getSpeed()<0.2)
			destroy();
	}
	@Override
	public void outsideRoom()
	{
		destroy();
	}
	@Override
	public void handleCollisions()
	{
		for(@SuppressWarnings("unused") Top other : getCollisions(Top.class))
		{
			move_bounce_solid(false);
			if(isDisposed())
				return;
		}
		for(@SuppressWarnings("unused") Ground other : getCollisions(Ground.class))
		{
			move_bounce_solid(false);
			if(isDisposed())
				return;
		}
		super.handleCollisions();
	}
}
