package owg.lgm.ar1.stuff.boss;

import owg.lgm.*;
import owg.lgm.ar1.Animal;
import owg.lgm.ar1.enemy.Object415;
import owg.lgm.ar1.fallers.Fall1515;

import static owg.lgm.ar1.accessories.AR1Globals.global;
import static owg.lgm.GMLib.*;

public class Object525 extends HEVE2
{
    public Object525(double x, double y)
    {
        super(x, y, 1, false, true, false, "bigsatan", "bigsatan");
    }
    protected Object525(double x, double y, int depth, boolean persistent, boolean visible, boolean solid, String sprite, String mask)
    {
        super(x, y, depth, persistent, visible, solid, sprite, mask);
    }
    
    Object415 moog;
    Standomen moog2;
    
    double dir1, sp;
    double dirsp, spsp, oghdir;
    
    @Override
    public void createEvent()
    {
        {
            moog2=instance_create(x,y,Standomen.class);
            moog2.m=this;
            moog2.depth=-1;
        }
        he = 0;
        ve = 0;
        life = 150;
        dir1 = 45;
        dirsp = -1;
        sp = 192;
        spsp = 0;
        oghdir = 0;
        alarm[1] = (short)(120);
    }
    @Override
    public void step()
    {
        dir1 += dirsp;
        sp += spsp;
        he = lengthdir_x(sp, dir1)/1.5;
        ve = lengthdir_y(sp, dir1);
    }
    
    Sprite smsatan = Sprite.get("smsatan");
    
    @Override
    public void render()
    {
        double d = 1;
        for (int i = 0; i<10; i++)
        {
            d += -1.0/10.0;
            draw_sprite(smsatan,-1,x+he*d,y+ve*d);
        }
        draw_sprite(sprite,-1,x+0,y+0);
    }
    @Override
    public void alarmTriggered(int alarmIndex)
    {
        switch (alarmIndex)
        {
            case 0:
            {
                if(moog2 != null)
                {
                	moog2.destroy();
                	moog2 = null;
                }
                sound_stop_all();
            }
            global.mzc = null;
            destroy();
            instance_create(0,0,Object503.class);
            instance_create(x+-32,y+0,Fall1515.class);
            for (int i = 0; i<7; i++)
            instance_create(x+0,y+0,Boomfall.class);
            for (int i = 0; i<12; i++)
            instance_create(x+0,y+0,Bigboom.class);
            break;
            case 1:
            Animal animal = instance(Animal.class);
            if(animal != null)
            {
                for (int i = 0; i<4; i++)
                {
                    moog=instance_create(x+64,y,Object415.class);
                    moog.m=this;
                    moog.setDirection(point_direction(x+64,y,animal.x,animal.y)-90+random(180));
                }
            }
            alarm[1] = (short)(240);
            break;
            default:
            super.alarmTriggered(alarmIndex);
            break;
        }
    }
}
