package owg.lgm.ar1.stuff.fakings;

import owg.lgm.*;
import owg.lgm.ar1.Top;
import owg.lgm.ar1.stuff.boss.Weirdboss;

import static owg.lgm.ar1.accessories.AR1Globals.global;
import static owg.lgm.GMLib.*;

public class Sealer extends Entity
{
    public Sealer(double x, double y)
    {
        super(x, y, 0, false, true, false, "graeond", null);
    }
    protected Sealer(double x, double y, int depth, boolean persistent, boolean visible, boolean solid, String sprite, String mask)
    {
        super(x, y, depth, persistent, visible, solid, sprite, mask);
    }
    @Override
    public void createEvent()
    {
        alarm[0] = (short)(2);
    }
    @Override
    public void step()
    {
    	Weirdboss weirdboss = instance(Weirdboss.class);
        if (weirdboss != null)
        {
            if (weirdboss.x>x+64)
            {
                if (place_meeting(x+0, y+vspeed, Top.class))
                {
                    if (vspeed>0)
                    	sound_play("crash");
                    vspeed=0;
                }
                else
                vspeed+=0.2;
            }
        }
        else
        {
            if (place_meeting(x+0, y+vspeed, Top.class))
            vspeed=0;
            else
            vspeed+=0.2;
        }
    }
    @Override
    public void alarmTriggered(int alarmIndex)
    {
        switch (alarmIndex)
        {
            case 0:
            image_single(global.style);
            break;
            default:
            super.alarmTriggered(alarmIndex);
            break;
        }
    }
}
