package owg.lgm.ar1.stuff.mobelho;

import owg.lgm.*;

import java.util.Date;

import static owg.lgm.GMLib.*;

public class Clockz extends Entity
{
    public Clockz(double x, double y)
    {
        super(x, y, 0, false, true, false, "clock", null);
    }
    protected Clockz(double x, double y, int depth, boolean persistent, boolean visible, boolean solid, String sprite, String mask)
    {
        super(x, y, depth, persistent, visible, solid, sprite, mask);
    }
    
    Sprite hours = Sprite.get("hours");
    Sprite mins = Sprite.get("mins");
    Sprite secs = Sprite.get("secs");

    transient final Date date = new Date();
    
    @SuppressWarnings("deprecation")
	@Override
    public void render()
    {
        draw_sprite(sprite,-1,x+0,y+0);
        date.setTime(System.currentTimeMillis());
        draw_sprite(hours,date.getHours(),x+0,y+0);
        draw_sprite(mins,date.getMinutes(),x+0,y+0);
        draw_sprite(secs,date.getSeconds(),x+0,y+0);
    }
}
