package owg.lgm.ar1.stuff.special;

import owg.lgm.*;
import owg.lgm.ar1.accessories.AR1Dialog;
import owg.lgm.room.Room;
import owg.lgm.room.Room.BackgroundData;

import static owg.lgm.ar1.accessories.AR1Globals.global;
import static owg.lgm.GMLib.*;

public class Object505 extends Entity
{
    public Object505(double x, double y)
    {
        super(x, y, 0, false, true, false, "sprite306", null);
    }
    protected Object505(double x, double y, int depth, boolean persistent, boolean visible, boolean solid, String sprite, String mask)
    {
        super(x, y, depth, persistent, visible, solid, sprite, mask);
    }
    @Override
    public void createEvent()
    {
        image_speed = 0.5;
        sound_play("pling");
    }
    @Override
    public void step()
    {
        if (image_index>image_number()-2)
        {
            image_speed = 0;
            image_index = image_number()-2;
            alarm[0] = (short)(60);
        }
        if (image_speed==0)
        {
            if (image_index>4)
            image_single(0);
            else
            image_single(image_number()-2);
        }
    }
    @Override
    public void alarmTriggered(int alarmIndex)
    {
        switch (alarmIndex)
        {
            case 0:
            {
            	BackgroundData background = Room.CURRENT.backgrounds[7];
            	background.visible = true;
            	background.setBackgroundName("whitehite");
            	background.foreground = true;
            }
            alarm[1] = (short)(30);
            sound_play("badstart");
            sound_play("bang1");
            sound_play("bang2");
            sound_play("bang3");
            sound_play("biglaza");
            sound_play("crash");
            break;
            case 1:
            sound_play("tele");
            new AR1Dialog()
			{
            	boolean did = false;
				@Override
				public void dialog() throws ConverseException
				{
		            show_message("Something great has happened.");
		            if(!did)
		            {
		                global.score += 300;
		                global.abzolniu = 1;
		                global.uxyz = 2;
		                did = true;
		            }
		            sleep(500);
	                transition_kind(0);
	                room_goto("hiddenplace");
				}
			}.start();
            break;
            default:
            super.alarmTriggered(alarmIndex);
            break;
        }
    }
}
