package owg.lgm.in;

import java.util.ArrayList;

public class EventQueue<T, I>
{
	public final ArrayList<T> types = new ArrayList<>(64);
	public final ArrayList<I> ids = new ArrayList<>(64);
	
	public void offer(T type, I id)
	{
		types.add(type);
		ids.add(id);
	}

	public int size()
	{
		return types.size();
	}
}