package owg.lgm.room;

import owg.lgm.Activity;

public class ActivityChangeException extends RuntimeException
{
	public final ActivityChangeType type;
	public final Activity next;

	public ActivityChangeException(ActivityChangeType type, Activity next)
	{
		super(type+": "+next);
		this.type = type;
		this.next = next;
	}
	
	public ActivityChangeException(ActivityChangeType type, RoomData next)
	{
		super(type+": "+next);
		this.type = type;
		this.next = Room.of(next);
	}
}