package owg.competent.soundfile;

import java.io.InputStream;
/**An {@link AudioDecoderStream} with a known size.*/
public abstract class SizedAudioDecoderStream extends AudioDecoderStream 
{
	protected SizedAudioDecoderStream(InputStream in) {
		super(in);
	}
	/**Returns the total size of the decoded sample data in bytes.*/
	public abstract int getSize();
}
