package owg.lgm.ar1.enemy;

import owg.lgm.*;
import owg.lgm.ar1.Animal;
import owg.lgm.ar1.fallers.Fall55;
import owg.lgm.ar1.stuff.evilballstuf.En5was;
import owg.lgm.ar1.stuff.evilballstuf.En5was2;

import static owg.lgm.ar1.accessories.AR1Globals.global;
import static owg.lgm.GMLib.*;

public class Ennemy6 extends Hemmemy4 implements Collider
{
	public Ennemy6(double x, double y)
	{
		super(x, y, 0, false, true, false, "sprite229", null);
	}
	protected Ennemy6(double x, double y, int depth, boolean persistent, boolean visible, boolean solid, String sprite, String mask)
	{
		super(x, y, depth, persistent, visible, solid, sprite, mask);
	}
	@Override
	public void createEvent()
	{
		if (global.abzolniu>0) {
			destroy();
			return;
		}
		inv = 0;
		he = 0;
		ve = 0;
		life = 6;
		dir1 = 270;
		dirsp = 1;
		sp = 64;
		alarm[1] = (short)(60);
		spsp = 0;
		{
			moog=instance_create(x,y,En5was.class);
			moog.m=this;

		}
		{
			moog2=instance_create(x,y,En5was2.class);
			moog2.m=this;

		}
		hspeed=1;
	}
	@Override
	public void step()
	{
		Animal animal = instance(Animal.class);
		if (animal != null && distance_to_object(animal)<512)
		{
			sp += spsp;
			dir1 += dirsp;
			he = lengthdir_x(sp, dir1);
			ve = lengthdir_y(sp, dir1);
		}
	}
	@Override
	public void render()
	{
		draw_sprite(sprite,image_index,x+0,y+0);
	}
	@Override
	public void alarmTriggered(int alarmIndex)
	{
		switch (alarmIndex)
		{
		case 0:
		{
			if(moog != null)
			{
				moog.destroy();
				moog = null;
			}
			if(moog2 != null)
			{
				moog2.destroy();
				moog2 = null;
			}
		}
		destroy();
		if (floor(random(2-1))==0)
			instance_create(x+0,y+0,Fall55.class);
		break;
		case 1:
			dirsp = 10;
			alarm[2] = (short)(60);
			setSpeed(1);
			break;
		case 2:
			dirsp = 1;
			alarm[1] = (short)(60);
			setSpeed(4);
			break;
		default:
			super.alarmTriggered(alarmIndex);
			break;
		}
	}
}
