package owg.lgm.ar1.enemy;

import owg.lgm.ar1.Animal;
import owg.lgm.ar1.stuff.special.Sandfall;

import static owg.lgm.ar1.accessories.AR1Globals.global;
import static owg.lgm.GMLib.*;

public class Fakeren2 extends Enemy2
{
	public Fakeren2(double x, double y)
	{
		super(x, y, 1, false, true, false, "desfaller", null);
	}
	protected Fakeren2(double x, double y, int depth, boolean persistent, boolean visible, boolean solid, String sprite, String mask)
	{
		super(x, y, depth, persistent, visible, solid, sprite, mask);
	}
	@Override
	public void createEvent()
	{
		if (global.abzolniu>0) {
			destroy();
			return;
		}
		inv = 0;
		life = 7;
		alarm[1] = (short)(60);
		image_speed = 0;
	}
	@Override
	public void step()
	{
		if (y<ystart-190)
			vspeed=0;
	}
	@Override
	public void alarmTriggered(int alarmIndex)
	{
		switch (alarmIndex)
		{
		case 0:
			destroy();
			instance_create(x+0,y+0,Sandfall.class);
			break;
		case 1:
			alarm[1] = (short)(15);
			Animal animal = instance(Animal.class);
			if (animal != null && y>ystart-190 && distance_to_object(animal)<128)
			{
				vspeed=-8;
				alarm[1] = (short)(0);
			}
			break;
		default:
			super.alarmTriggered(alarmIndex);
			break;
		}
	}
}
