package owg.lgm.ar1.shilt;

import owg.lgm.*;
import owg.lgm.ar1.Animal;
import owg.lgm.ar1.accessories.AR1Dialog;
import owg.lgm.ar1.accessories.AR1Fonts;
import owg.lgm.in.VK;

import static owg.lgm.GMLib.*;

public class Ntownsign extends Entity implements Collider
{
    public Ntownsign(double x, double y)
    {
        super(x, y, 3, false, true, false, "Shilthehaho", null);
    }
    protected Ntownsign(double x, double y, int depth, boolean persistent, boolean visible, boolean solid, String sprite, String mask)
    {
        super(x, y, depth, persistent, visible, solid, sprite, mask);
    }
    
    public String texo;
    
    @Override
    public void createEvent()
    {
        texo = "Town";
    }
    @Override
    public void render()
    {
        draw_set_font(AR1Fonts.TNR_8);
        draw_set_color(c_silver);
        draw_sprite(sprite,-1,x+0,y+0);
        draw_text(x+-28,y+-44,String.valueOf(texo));
    }
    @Override
    public void handleCollisions()
    {
        for(@SuppressWarnings("unused") Animal other : getCollisions(Animal.class))
        {
            if (keyboard_check_pressed(VK.UP))
            {
            	new AR1Dialog()
				{
					@Override
					public void dialog() throws ConverseException
					{
		                show_message("Welcome to the hidden town.");
					}
				}.start();
            }
            if(isDisposed())
            return;
        }
        super.handleCollisions();
    }
}
