package owg.lgm.ar1.stuff.animals;

import owg.lgm.*;
import owg.lgm.ar1.accessories.AR1Dialog;
import owg.lgm.ar1.enemy.Enemy56;

import static owg.lgm.ar1.accessories.AR1Globals.global;
import static owg.lgm.GMLib.*;

public class Evilguy extends Entity
{
	public Evilguy(double x, double y)
	{
		super(x, y, 0, false, true, false, "evilself", null);
	}
	protected Evilguy(double x, double y, int depth, boolean persistent, boolean visible, boolean solid, String sprite, String mask)
	{
		super(x, y, depth, persistent, visible, solid, sprite, mask);
	}
	@Override
	public void createEvent()
	{
		alarm[0] = (short)(30);
		global.gsgfhfs = 0;
	}
	@Override
	public void destroyEvent()
	{
		instance_destroy_all(Enemy56.class);
	}
	@Override
	public void alarmTriggered(int alarmIndex)
	{
		switch (alarmIndex)
		{
		case 0:
			alarm[1] = (short)(30);
			new AR1Dialog()
			{
				@Override
				public void dialog() throws ConverseException
				{
					show_message("YOU! How did you get here? You will not ruin my plan!");
				}
			}.start();
			break;
		case 1:
			new AR1Dialog()
			{
				@Override
				public void dialog() throws ConverseException
				{
					show_message("When I have crushed you I will have access to the great powerstone and I can take over the world!");
				}
			}.start();
			break;
		default:
			super.alarmTriggered(alarmIndex);
			break;
		}
	}
}
