package owg.lgm.ar1.stuff.draw;

import owg.lgm.*;
import owg.lgm.room.Room;
import owg.lgm.room.Room.BackgroundData;
import owg.lgm.room.Room.ViewData;

import static owg.lgm.GMLib.*;

public class Back extends Entity
{
    public Back(double x, double y)
    {
        super(x, y, 5000000, false, true, false, null, null);
    }
    protected Back(double x, double y, int depth, boolean persistent, boolean visible, boolean solid, String sprite, String mask)
    {
        super(x, y, depth, persistent, visible, solid, sprite, mask);
    }
    
    int fa, en, ja;
    
    @Override
    public void createEvent()
    {
        fa = 0;
        en = 0;
        ja = 0;
    	BackgroundData background0 = Room.CURRENT.backgrounds[0];
    	BackgroundData background1 = Room.CURRENT.backgrounds[1];
    	BackgroundData background2 = Room.CURRENT.backgrounds[2];
    	BackgroundData background3 = Room.CURRENT.backgrounds[3];
        if(!background3.visible)
        {
            if(background0.visible)
            {
                fa=1;
                background0.visible=false;
            }
            if(background1.visible)
            {
                en=1;
                background1.visible=false;
            }
            if(background2.visible)
            {
                ja=1;
                background2.visible=false;
            }
        }
    }
    @Override
    public void render()
    {
    	BackgroundData background0 = Room.CURRENT.backgrounds[0];
    	BackgroundData background1 = Room.CURRENT.backgrounds[1];
    	BackgroundData background2 = Room.CURRENT.backgrounds[2];
    	BackgroundData background3 = Room.CURRENT.backgrounds[3];
        if(!background3.visible)
        {
            ViewData view = Room.CURRENT.views[Room.CURRENT.getViewIndex()];
            if(fa==1)
            	draw_background_tiled(background0.getBackground(),view.xview/1.1,view.yview/1.1);
            if(en==1)
            	draw_background_tiled(background1.getBackground(),view.xview/1.8,view.yview/1.8);
            if(ja==1)
            	draw_background_tiled(background2.getBackground(),view.xview/3.0,view.yview/3.0);
        }
    }
}
