package owg.lgm.room;

import java.util.Comparator;

import owg.lgm.util.AutoDestructibleImpl;

public abstract class Renderable extends AutoDestructibleImpl
{
	public static Comparator<Renderable> DEPTH_COMPARATOR = new Comparator<Renderable>()
	{
		@Override
		public int compare(Renderable o1, Renderable o2)
		{
			return Integer.compare(o2.depth, o1.depth);
		}
	};

	public int depth;
	public boolean visible;
	
	public abstract void render();
}
